com.r3corda.core.node.services / Wallet / Update

# Update

`data class Update`

Represents an update observed by the Wallet that will be notified to observers. Include the StateRefs of transaction outputs that were consumed (inputs) and the ContractStates produced (outputs) to/by the transaction or transactions observed and the Wallet.

If the Wallet observes multiple transactions simultaneously, where some transactions consume the outputs of some of the other transactions observed, then the changes are observed "net" of those.

### Constructors

<init> | `Update(consumed: Set<StateRef>, produced: Set<StateAndRef<ContractState>>)` Represents an update observed by the Wallet that will be notified to observers. Include the StateRefs of transaction outputs that were consumed (inputs) and the ContractStates produced (outputs) to/by the transaction or transactions observed and the Wallet.

### Properties

consumed | `val consumed: Set<StateRef>`
produced | `val produced: Set<StateAndRef<ContractState>>`

### Functions

plus | `operator fun plus(rhs: Update): Update` Combine two updates into a single update with the combined inputs and outputs of the two updates but net any outputs of the left-hand-side (this) that are consumed by the inputs of the right-hand-side (rhs).